/preview/retail-media/accounts/{account-id}/audiences/compute-sizes
curl --request POST \
--url https://api.criteo.com/preview/retail-media/accounts/{account-id}/audiences/compute-sizes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"type": "<string>"
}
}
'import requests
url = "https://api.criteo.com/preview/retail-media/accounts/{account-id}/audiences/compute-sizes"
payload = { "data": { "type": "<string>" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: {type: '<string>'}})
};
fetch('https://api.criteo.com/preview/retail-media/accounts/{account-id}/audiences/compute-sizes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"attributes": {
"relativeSize": 123,
"size": 123
},
"id": "<string>",
"type": "<string>"
}
],
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}/preview/retail-media/accounts/{account-id}/audiences/compute-sizes
Gets the size of all audiences. An error is returned for those whose size calculation is not supported.
POST
/
preview
/
retail-media
/
accounts
/
{account-id}
/
audiences
/
compute-sizes
/preview/retail-media/accounts/{account-id}/audiences/compute-sizes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Account Id
Body
application/json
A top-level object that encapsulates a Criteo API request for a single value.
A top-level object that encapsulates a Criteo API response for a single value
Show child attributes
Show child attributes
Was this page helpful?
/preview/retail-media/accounts/{account-id}/audiences
Previous
/preview/retail-media/accounts/{account-id}/audiences/create
Next
⌘I